﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.

namespace Eco.Mods.TechTree
{
    using Eco.Gameplay.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Localization;
    using Eco.World;
    using Eco.World.Blocks;

    [Serialized]
    [Weight(150)]
    [MaxStackSize(100)]
    [RequiresTool(typeof(ShovelItem))]
    [MakesRoads]
    public class CompostItem : BlockItem<CompostBlock>
    {
        public override LocString DisplayName       { get { return Localizer.DoStr("Compost"); } }
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Compost"); } }
    }

    [Serialized, Solid, Wall, Diggable]
    public class CompostBlock : Block { }
}